//Key gpio_isr_handler

static void IRAM_ATTR gpio_isr_handler(void *arg)
{
    //debounce via button_pressed, avoid toggling by glitches on the button port due to power switches by next_switch_delay
    if (button_pressed || next_switch_delay || startup_in_progress)
        return;
    button_pressed = 1;
    delay_count = 5;
    return;
} 
